## golang-github-linbit-golinstor 0.55.0

=== debian/changelog ===
golang-github-linbit-golinstor (0.55.0-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 02 Jun 2025 23:38:11 +0000

golang-github-linbit-golinstor (0.55.0-1) unstable; urgency=medium

  * Initial release (Closes: #1103859)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 01 Jun 2025 02:50:35 +0000

## golang-github-linbit-golinstor 0.58.0

=== Makefile ===
all:
	echo "The only meaningful target is 'apiconsts'"

gitclean:
	git diff-index --quiet --exit-code HEAD

.PHONY: apiconsts
apiconsts: gitclean
	git submodule update --remote
	go generate
	git commit -am "apiconsts: submodule pull"

## golang-github-linbit-golinstor 0.56.2

=== debian/changelog ===
golang-github-linbit-golinstor (0.56.2-1) unstable; urgency=medium

  * New upstream release
    - Rebase patch fixing up import path

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 07 Sep 2025 15:22:24 +0000

=== debian/control ===
Source: golang-github-linbit-golinstor
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-burntsushi-toml-dev,
               golang-github-donovanhide-eventsource-dev,
               golang-github-google-go-querystring-dev,
               golang-github-moul-http2curl-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-time-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-linbit-golinstor
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-linbit-golinstor.git
Homepage: https://github.com/LINBIT/golinstor
XS-Go-Import-Path: github.com/LINBIT/golinstor

Package: golang-github-linbit-golinstor-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-burntsushi-toml-dev,
         golang-github-donovanhide-eventsource-dev,
         golang-github-google-go-querystring-dev,
         golang-github-moul-http2curl-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-time-dev
Description: golang bindings for linstor (library)
 This library aims to be a simple go interface for Linstor.
 .
 Linstor, developed by LINBIT, is a software that manages DRBD replicated
 LVM/ZFS volumes across a group of machines.

## golang-github-linbit-golinstor 0.57.0

=== debian/changelog ===
golang-github-linbit-golinstor (0.57.0-1) unstable; urgency=medium

  * New upstream release
  * Drop redundant Rules-Requires-Root from d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 28 Sep 2025 14:40:49 +0000

## golang-github-linbit-golinstor 0.58.0

=== debian/changelog ===
golang-github-linbit-golinstor (0.58.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 12 Oct 2025 13:54:19 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Mathias Gibbens <gibmat@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/LINBIT/golinstor/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-linbit-golinstor 0.59.0

=== debian/changelog ===
golang-github-linbit-golinstor (0.59.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 20 Dec 2025 19:36:32 +0000

## golang-github-linbit-golinstor 0.60.0

=== debian/changelog ===
golang-github-linbit-golinstor (0.60.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3 in d/control, drop Priority field
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 27 Feb 2026 18:58:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-linbit-golinstor
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Mathias Gibbens <gibmat@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -14,7 +13,7 @@
                golang-github-stretchr-testify-dev,
                golang-golang-x-time-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-linbit-golinstor
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-linbit-golinstor.git
 Homepage: https://github.com/LINBIT/golinstor
